/** @file basepath.cpp  Application base path (C wrapper).
 *
 * @authors Copyright (c) 2014-2015 Jaakko Keränen <jaakko.keranen@iki.fi>
 *
 * @par License
 * GPL: http://www.gnu.org/licenses/gpl.html
 *
 * <small>This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details. You should have received a copy of the GNU
 * General Public License along with this program; if not, see:
 * http://www.gnu.org/licenses</small>
 */

#include "doomsday/paths.h"
#include "doomsday/doomsdayapp.h"

char const *DD_BasePath()
{
    return DoomsdayApp::app().doomsdayBasePath().c_str();
}

char const *DD_RuntimePath()
{
    return DoomsdayApp::app().doomsdayRuntimePath().c_str();
}

void DD_SetBasePath(char const *path)
{
    DoomsdayApp::app().setDoomsdayBasePath(path);
}

void DD_SetRuntimePath(char const *path)
{
    DoomsdayApp::app().setDoomsdayRuntimePath(path);
}
